Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.security.cert
Class CertificateParsingException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.security.cert.CertificateException
                  javax.security.cert.CertificateParsingException

All Implemented Interfaces:
  Serializable

public class CertificateParsingException
extends CertificateException

Certificate Parsing Exception. This is thrown whenever invalid DER encoded certificate is parsed or unsupported DER features are found in the Certificate.

Note: The classes in the package `javax.security.cert` exist for compatibility with earlier versions of the Java Secure Sockets Extension (JSSE). New applications should instead use the standard J2SE certificate classes located in `java.security.cert`.

Since:
  1.4
See Also:
  Serialized Form

Constructor Summary
`CertificateParsingException()` Constructs a CertificateParsingException with no detail message.
`CertificateParsingException(String message)` Constructs a CertificateParsingException with the specified detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CertificateParsingException

    public CertificateParsingException()

  Constructs a CertificateParsingException with no detail message. A detail message is a String that describes this particular exception.

### CertificateParsingException

    public CertificateParsingException(String message)

  Constructs a CertificateParsingException with the specified detail message. A detail message is a String that describes this particular exception.

Parameters:
  `message` - the detail message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2003 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.